Index: code/branches/bugger/src/orxonox/objects/Level.h
===================================================================
--- code/branches/bugger/src/orxonox/objects/Level.h	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/Level.h	(revision 2531)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "network/Synchronisable.h"
+#include "network/synchronisable/Synchronisable.h"
 #include "core/BaseObject.h"
 
Index: code/branches/bugger/src/orxonox/objects/Scene.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/Scene.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/Scene.cc	(revision 2531)
@@ -101,7 +101,7 @@
     void Scene::registerVariables()
     {
-        REGISTERSTRING(this->skybox_,     direction::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applySkybox));
-        REGISTERDATA(this->ambientLight_, direction::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applyAmbientLight));
-        REGISTERDATA(this->bShadows_,     direction::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applyShadows));
+        registerVariable(this->skybox_,     variableDirection::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applySkybox));
+        registerVariable(this->ambientLight_, variableDirection::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applyAmbientLight));
+        registerVariable(this->bShadows_,     variableDirection::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applyShadows));
     }
 
Index: code/branches/bugger/src/orxonox/objects/Scene.h
===================================================================
--- code/branches/bugger/src/orxonox/objects/Scene.h	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/Scene.h	(revision 2531)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "network/Synchronisable.h"
+#include "network/synchronisable/Synchronisable.h"
 #include "core/BaseObject.h"
 #include "util/Math.h"
Index: code/branches/bugger/src/orxonox/objects/Test.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/Test.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/Test.cc	(revision 2531)
@@ -61,8 +61,13 @@
 	void Test::setConfigValues()
 	{
-		SetConfigValue ( v1, 1 )/*.callback ( this, &Test::checkV1 )*/;
-    SetConfigValue ( v2, 2 )/*.callback ( this, &Test::checkV2 )*/;
-    SetConfigValue ( v3, 3 )/*.callback ( this, &Test::checkV3 )*/;
-    SetConfigValue ( v4, 4 )/*.callback ( this, &Test::checkV4 )*/;
+		SetConfigValue ( u1, 1 )/*.callback ( this, &Test::checkV1 )*/;
+    SetConfigValue ( u2, 2 )/*.callback ( this, &Test::checkV2 )*/;
+    SetConfigValue ( u3, 3 )/*.callback ( this, &Test::checkV3 )*/;
+    SetConfigValue ( u4, 4 )/*.callback ( this, &Test::checkV4 )*/;
+    
+    SetConfigValue ( s1, 1 )/*.callback ( this, &Test::checkV1 )*/;
+    SetConfigValue ( s2, 2 )/*.callback ( this, &Test::checkV2 )*/;
+    SetConfigValue ( s3, 3 )/*.callback ( this, &Test::checkV3 )*/;
+    SetConfigValue ( s4, 4 )/*.callback ( this, &Test::checkV4 )*/;
 	}
 
@@ -70,26 +75,24 @@
 	void Test::registerVariables()
 	{
-		REGISTERDATA ( v1,direction::toclient, new NetworkCallback<Test> ( this, &Test::checkV1 ) );
-    REGISTERDATA ( v2,direction::toserver, new NetworkCallback<Test> ( this, &Test::checkV2 ) );
-		REGISTERDATA ( v3,direction::serverMaster, new NetworkCallback<Test> ( this, &Test::checkV3 ) );
-    REGISTERDATA ( v4,direction::clientMaster, new NetworkCallback<Test> ( this, &Test::checkV4 ) );
+		registerVariable ( u1, variableDirection::toclient, new NetworkCallback<Test> ( this, &Test::checkU1 ));
+    registerVariable ( u2, variableDirection::toserver, new NetworkCallback<Test> ( this, &Test::checkU2 ));
+		registerVariable ( u3, variableDirection::serverMaster, new NetworkCallback<Test> ( this, &Test::checkU3 ), true );
+    registerVariable ( u4, variableDirection::clientMaster, new NetworkCallback<Test> ( this, &Test::checkU4 ), true );
+    
+    registerVariable ( s1, variableDirection::toclient, new NetworkCallback<Test> ( this, &Test::checkS1 ));
+    registerVariable ( s2, variableDirection::toserver, new NetworkCallback<Test> ( this, &Test::checkS2 ));
+    registerVariable ( s3, variableDirection::serverMaster, new NetworkCallback<Test> ( this, &Test::checkS3 ), true );
+    registerVariable ( s4, variableDirection::clientMaster, new NetworkCallback<Test> ( this, &Test::checkS4 ), true );
 	}
 
-  void Test::checkV1(){
-    COUT(1) << "V1 changed: " << v1 << std::endl;
-  }
+  void Test::checkU1(){ COUT(1) << "U1 changed: " << u1 << std::endl; }
+  void Test::checkU2(){ COUT(1) << "U2 changed: " << u2 << std::endl; }
+  void Test::checkU3(){ COUT(1) << "U3 changed: " << u3 << std::endl; }
+  void Test::checkU4(){ COUT(1) << "U4 changed: " << u4 << std::endl; }
 
-  void Test::checkV2(){
-    COUT(1) << "V2 changed: " << v2 << std::endl;
-  }
-
-  void Test::checkV3(){
-    COUT(1) << "V3 changed: " << v3 << std::endl;
-  }
-  
-  void Test::checkV4(){
-    COUT(1) << "V4 changed: " << v4 << std::endl;
-  }
-
+  void Test::checkS1(){ COUT(1) << "S1 changed: " << s1 << std::endl; }
+  void Test::checkS2(){ COUT(1) << "S2 changed: " << s2 << std::endl; }
+  void Test::checkS3(){ COUT(1) << "S3 changed: " << s3 << std::endl; }
+  void Test::checkS4(){ COUT(1) << "S4 changed: " << s4 << std::endl; }
 
 }
Index: code/branches/bugger/src/orxonox/objects/Test.h
===================================================================
--- code/branches/bugger/src/orxonox/objects/Test.h	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/Test.h	(revision 2531)
@@ -32,5 +32,10 @@
 #include "OrxonoxPrereqs.h"
 #include "core/BaseObject.h"
-#include "network/Synchronisable.h"
+#include "network/synchronisable/Synchronisable.h"
+
+
+typedef int TYPE;
+typedef unsigned int UTYPE;
+
 
 namespace orxonox
@@ -45,24 +50,40 @@
       void registerVariables();
 
-      void setV1(unsigned int value){ v1 = value; }
-      void setV2(unsigned int value){ v2 = value; }
-      void setV3(unsigned int value){ v3 = value; }
-      void setV4(unsigned int value){ v4 = value; }
 
-      void checkV1();
-      void checkV2();
-      void checkV3();
-      void checkV4();
+      //unsigned functions
+      void setU1(UTYPE value){ u1 = value; }
+      void setU2(UTYPE value){ u2 = value; }
+      void setU3(UTYPE value){ u3 = value; }
+      void setU4(UTYPE value){ u4 = value; }
+      void checkU1();
+      void checkU2();
+      void checkU3();
+      void checkU4();
       
-      void printV1(){ instance_->checkV1(); }
-      void printV2(){ instance_->checkV2(); }
-      void printV3(){ instance_->checkV3(); }
-      void printV4(){ instance_->checkV4(); }
+      //signed functions
+      void setS1(TYPE value){ s1 = value; }
+      void setS2(TYPE value){ s2 = value; }
+      void setS3(TYPE value){ s3 = value; }
+      void setS4(TYPE value){ s4 = value; }
+      void checkS1();
+      void checkS2();
+      void checkS3();
+      void checkS4();
+      
+      static void printV1(){ instance_->checkU1(); }
+      static void printV2(){ instance_->checkU2(); }
+      static void printV3(){ instance_->checkU3(); }
+      static void printV4(){ instance_->checkU4(); }
 
     private:
-      unsigned int v1;
-      unsigned int v2;
-      unsigned int v3;
-      unsigned int v4;
+      UTYPE u1;
+      UTYPE u2;
+      UTYPE u3;
+      UTYPE u4;
+      
+      TYPE s1;
+      TYPE s2;
+      TYPE s3;
+      TYPE s4;
       
       static Test* instance_;
Index: code/branches/bugger/src/orxonox/objects/infos/GametypeInfo.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/infos/GametypeInfo.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/infos/GametypeInfo.cc	(revision 2531)
@@ -54,8 +54,8 @@
     void GametypeInfo::registerVariables()
     {
-        REGISTERDATA(this->bStarted_,               direction::toclient);
-        REGISTERDATA(this->bEnded_,                 direction::toclient);
-        REGISTERDATA(this->startCountdown_,         direction::toclient);
-        REGISTERDATA(this->bStartCountdownRunning_, direction::toclient);
+        registerVariable(this->bStarted_,               variableDirection::toclient);
+        registerVariable(this->bEnded_,                 variableDirection::toclient);
+        registerVariable(this->startCountdown_,         variableDirection::toclient);
+        registerVariable(this->bStartCountdownRunning_, variableDirection::toclient);
     }
 }
Index: code/branches/bugger/src/orxonox/objects/infos/HumanPlayer.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/infos/HumanPlayer.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/infos/HumanPlayer.cc	(revision 2531)
@@ -69,9 +69,9 @@
     void HumanPlayer::registerVariables()
     {
-        REGISTERSTRING(this->synchronize_nick_, direction::toserver, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_changednick));
+        registerVariable(this->synchronize_nick_, variableDirection::toserver, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_changednick));
 
-        REGISTERDATA(this->clientID_,           direction::toclient, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_clientIDchanged));
-        REGISTERDATA(this->server_initialized_, direction::toclient, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_server_initialized));
-        REGISTERDATA(this->client_initialized_, direction::toserver, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_client_initialized));
+        registerVariable(this->clientID_,           variableDirection::toclient, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_clientIDchanged));
+        registerVariable(this->server_initialized_, variableDirection::toclient, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_server_initialized));
+        registerVariable(this->client_initialized_, variableDirection::toserver, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_client_initialized));
     }
 
@@ -106,5 +106,5 @@
 
             if (!Core::isMaster())
-                this->setObjectMode(direction::bidirectional);
+                this->setObjectMode(objectDirection::bidirectional);
             else
                 this->setName(this->nick_);
Index: code/branches/bugger/src/orxonox/objects/infos/Info.h
===================================================================
--- code/branches/bugger/src/orxonox/objects/infos/Info.h	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/infos/Info.h	(revision 2531)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "network/Synchronisable.h"
+#include "network/synchronisable/Synchronisable.h"
 #include "core/BaseObject.h"
 
Index: code/branches/bugger/src/orxonox/objects/infos/PlayerInfo.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/infos/PlayerInfo.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/infos/PlayerInfo.cc	(revision 2531)
@@ -73,7 +73,7 @@
     void PlayerInfo::registerVariables()
     {
-        REGISTERSTRING(this->name_,                 direction::toclient, new NetworkCallback<PlayerInfo>(this, &PlayerInfo::changedName));
-        REGISTERDATA  (this->controllableEntityID_, direction::toclient, new NetworkCallback<PlayerInfo>(this, &PlayerInfo::networkcallback_changedcontrollableentityID));
-        REGISTERDATA  (this->bReadyToSpawn_,        direction::toserver);
+        registerVariable(this->name_,                 variableDirection::toclient, new NetworkCallback<PlayerInfo>(this, &PlayerInfo::changedName));
+        registerVariable(this->controllableEntityID_, variableDirection::toclient, new NetworkCallback<PlayerInfo>(this, &PlayerInfo::networkcallback_changedcontrollableentityID));
+        registerVariable(this->bReadyToSpawn_,        variableDirection::toserver);
     }
 
Index: code/branches/bugger/src/orxonox/objects/items/Engine.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/items/Engine.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/items/Engine.cc	(revision 2531)
@@ -104,19 +104,19 @@
     void Engine::registerVariables()
     {
-        REGISTERDATA(this->shipID_, direction::toclient, new NetworkCallback<Engine>(this, &Engine::networkcallback_shipID));
-
-        REGISTERDATA(this->speedFactor_, direction::toclient);
-        REGISTERDATA(this->boostFactor_, direction::toclient);
-
-        REGISTERDATA(this->maxSpeedFront_,     direction::toclient);
-        REGISTERDATA(this->maxSpeedBack_,      direction::toclient);
-        REGISTERDATA(this->maxSpeedLeftRight_, direction::toclient);
-        REGISTERDATA(this->maxSpeedUpDown_,    direction::toclient);
-
-        REGISTERDATA(this->accelerationFront_,     direction::toclient);
-        REGISTERDATA(this->accelerationBrake_,     direction::toclient);
-        REGISTERDATA(this->accelerationBack_,      direction::toclient);
-        REGISTERDATA(this->accelerationLeftRight_, direction::toclient);
-        REGISTERDATA(this->accelerationUpDown_,    direction::toclient);
+        registerVariable(this->shipID_, variableDirection::toclient, new NetworkCallback<Engine>(this, &Engine::networkcallback_shipID));
+
+        registerVariable(this->speedFactor_, variableDirection::toclient);
+        registerVariable(this->boostFactor_, variableDirection::toclient);
+
+        registerVariable(this->maxSpeedFront_,     variableDirection::toclient);
+        registerVariable(this->maxSpeedBack_,      variableDirection::toclient);
+        registerVariable(this->maxSpeedLeftRight_, variableDirection::toclient);
+        registerVariable(this->maxSpeedUpDown_,    variableDirection::toclient);
+
+        registerVariable(this->accelerationFront_,     variableDirection::toclient);
+        registerVariable(this->accelerationBrake_,     variableDirection::toclient);
+        registerVariable(this->accelerationBack_,      variableDirection::toclient);
+        registerVariable(this->accelerationLeftRight_, variableDirection::toclient);
+        registerVariable(this->accelerationUpDown_,    variableDirection::toclient);
     }
 
Index: code/branches/bugger/src/orxonox/objects/items/Item.h
===================================================================
--- code/branches/bugger/src/orxonox/objects/items/Item.h	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/items/Item.h	(revision 2531)
@@ -33,5 +33,5 @@
 
 #include "core/BaseObject.h"
-#include "network/Synchronisable.h"
+#include "network/synchronisable/Synchronisable.h"
 
 namespace orxonox
Index: code/branches/bugger/src/orxonox/objects/items/MultiStateEngine.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/items/MultiStateEngine.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/items/MultiStateEngine.cc	(revision 2531)
@@ -83,5 +83,5 @@
     void MultiStateEngine::registerVariables()
     {
-        REGISTERDATA(this->state_, direction::toserver);
+        registerVariable(this->state_, variableDirection::toserver);
     }
 
@@ -92,5 +92,5 @@
             if (this->getShip()->hasLocalController())
             {
-                this->setObjectMode(direction::bidirectional);
+                this->setObjectMode(objectDirection::bidirectional);
 
                 const Vector3& direction = this->getDirection();
Index: code/branches/bugger/src/orxonox/objects/worldentities/Backlight.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/worldentities/Backlight.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/worldentities/Backlight.cc	(revision 2531)
@@ -109,9 +109,9 @@
     void Backlight::registerVariables()
     {
-        REGISTERDATA  (this->width_,         direction::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_width));
-        REGISTERDATA  (this->lifetime_,      direction::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_lifetime));
-        REGISTERDATA  (this->length_,        direction::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_length));
-        REGISTERDATA  (this->maxelements_,   direction::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_maxelements));
-        REGISTERSTRING(this->trailmaterial_, direction::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_trailmaterial));
+        registerVariable  (this->width_,         variableDirection::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_width));
+        registerVariable  (this->lifetime_,      variableDirection::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_lifetime));
+        registerVariable  (this->length_,        variableDirection::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_length));
+        registerVariable  (this->maxelements_,   variableDirection::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_maxelements));
+        registerVariable  (this->trailmaterial_, variableDirection::toclient, new NetworkCallback<Backlight>(this, &Backlight::update_trailmaterial));
     }
 
Index: code/branches/bugger/src/orxonox/objects/worldentities/Billboard.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/worldentities/Billboard.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/worldentities/Billboard.cc	(revision 2531)
@@ -67,6 +67,6 @@
     void Billboard::registerVariables()
     {
-        REGISTERSTRING(this->material_, direction::toclient, new NetworkCallback<Billboard>(this, &Billboard::changedMaterial));
-        REGISTERDATA  (this->colour_,   direction::toclient, new NetworkCallback<Billboard>(this, &Billboard::changedColour));
+        registerVariable(this->material_, variableDirection::toclient, new NetworkCallback<Billboard>(this, &Billboard::changedMaterial));
+        registerVariable(this->colour_,   variableDirection::toclient, new NetworkCallback<Billboard>(this, &Billboard::changedColour));
     }
 
Index: code/branches/bugger/src/orxonox/objects/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/worldentities/ControllableEntity.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/worldentities/ControllableEntity.cc	(revision 2531)
@@ -238,5 +238,5 @@
             {
                 this->client_overwrite_ = this->server_overwrite_;
-                this->setObjectMode(direction::bidirectional);
+                this->setObjectMode(objectDirection::bidirectional);
             }
         }
@@ -252,5 +252,5 @@
         this->bHasLocalController_ = false;
         this->bHasHumanController_ = false;
-        this->setObjectMode(direction::toclient);
+        this->setObjectMode(objectDirection::toclient);
 
         if (this->bDestroyWhenPlayerLeft_)
@@ -345,21 +345,21 @@
     void ControllableEntity::registerVariables()
     {
-        REGISTERSTRING(this->cameraPositionTemplate_, direction::toclient);
-        REGISTERSTRING(this->hudtemplate_, direction::toclient);
-
-        REGISTERDATA(this->client_overwrite_,   direction::toserver);
-
-        REGISTERDATA(this->server_position_,    direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerPosition));
-        REGISTERDATA(this->server_velocity_,    direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerVelocity));
-        REGISTERDATA(this->server_orientation_, direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerOrientation));
-        REGISTERDATA(this->server_overwrite_,   direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processOverwrite));
-
-        REGISTERDATA(this->client_position_,    direction::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientPosition));
-        REGISTERDATA(this->client_velocity_,    direction::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientVelocity));
-        REGISTERDATA(this->client_orientation_, direction::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientOrientation));
-
-
-        REGISTERDATA(this->playerID_, direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedplayerID));
-        REGISTERDATA(this->gtinfoID_, direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedgtinfoID));
+        registerVariable(this->cameraPositionTemplate_, variableDirection::toclient);
+        registerVariable(this->hudtemplate_, variableDirection::toclient);
+
+        registerVariable(this->client_overwrite_,   variableDirection::toserver);
+          
+        registerVariable(this->server_position_,    variableDirection::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerPosition));
+        registerVariable(this->server_velocity_,    variableDirection::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerVelocity));
+        registerVariable(this->server_orientation_, variableDirection::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerOrientation));
+        registerVariable(this->server_overwrite_,   variableDirection::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processOverwrite));
+  
+        registerVariable(this->client_position_,    variableDirection::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientPosition));
+        registerVariable(this->client_velocity_,    variableDirection::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientVelocity));
+        registerVariable(this->client_orientation_, variableDirection::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientOrientation));
+  
+  
+        registerVariable(this->playerID_, variableDirection::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedplayerID));
+        registerVariable(this->gtinfoID_, variableDirection::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedgtinfoID));
     }
 
Index: code/branches/bugger/src/orxonox/objects/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/worldentities/ExplosionChunk.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/worldentities/ExplosionChunk.cc	(revision 2531)
@@ -91,6 +91,6 @@
     void ExplosionChunk::registerVariables()
     {
-        REGISTERDATA(this->LOD_,   direction::toclient, new NetworkCallback<ExplosionChunk>(this, &ExplosionChunk::LODchanged));
-        REGISTERDATA(this->bStop_, direction::toclient, new NetworkCallback<ExplosionChunk>(this, &ExplosionChunk::checkStop));
+        registerVariable((int&)this->LOD_,   variableDirection::toclient, new NetworkCallback<ExplosionChunk>(this, &ExplosionChunk::LODchanged));
+        registerVariable(this->bStop_, variableDirection::toclient, new NetworkCallback<ExplosionChunk>(this, &ExplosionChunk::checkStop));
     }
 
Index: code/branches/bugger/src/orxonox/objects/worldentities/FadingBillboard.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/worldentities/FadingBillboard.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/worldentities/FadingBillboard.cc	(revision 2531)
@@ -66,6 +66,6 @@
     void FadingBillboard::registerVariables()
     {
-        REGISTERDATA(this->turnontime_,         direction::toclient);
-        REGISTERDATA(this->turnofftime_,        direction::toclient);
+        registerVariable(this->turnontime_,         variableDirection::toclient);
+        registerVariable(this->turnofftime_,        variableDirection::toclient);
     }
 
Index: code/branches/bugger/src/orxonox/objects/worldentities/Light.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/worldentities/Light.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/worldentities/Light.cc	(revision 2531)
@@ -103,9 +103,9 @@
     void Light::registerVariables()
     {
-        REGISTERDATA(this->type_,           direction::toclient, new NetworkCallback<Light>(this, &Light::updateType));
-        REGISTERDATA(this->diffuse_,        direction::toclient, new NetworkCallback<Light>(this, &Light::updateDiffuseColour));
-        REGISTERDATA(this->specular_,       direction::toclient, new NetworkCallback<Light>(this, &Light::updateSpecularColour));
-        REGISTERDATA(this->attenuation_,    direction::toclient, new NetworkCallback<Light>(this, &Light::updateAttenuation));
-        REGISTERDATA(this->spotlightRange_, direction::toclient, new NetworkCallback<Light>(this, &Light::updateSpotlightRange));
+        registerVariable((int &)this->type_,    variableDirection::toclient, new NetworkCallback<Light>(this, &Light::updateType));
+        registerVariable(this->diffuse_,        variableDirection::toclient, new NetworkCallback<Light>(this, &Light::updateDiffuseColour));
+        registerVariable(this->specular_,       variableDirection::toclient, new NetworkCallback<Light>(this, &Light::updateSpecularColour));
+        registerVariable(this->attenuation_,    variableDirection::toclient, new NetworkCallback<Light>(this, &Light::updateAttenuation));
+        registerVariable(this->spotlightRange_, variableDirection::toclient, new NetworkCallback<Light>(this, &Light::updateSpotlightRange));
     }
 
Index: code/branches/bugger/src/orxonox/objects/worldentities/Model.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/worldentities/Model.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/worldentities/Model.cc	(revision 2531)
@@ -40,4 +40,5 @@
     Model::Model(BaseObject* creator) : PositionableEntity(creator)
     {
+        static unsigned int i=10;
         RegisterObject(Model);
 
@@ -45,4 +46,5 @@
 
         this->registerVariables();
+        this->setObjectPriority(i++);
     }
 
@@ -63,6 +65,6 @@
     void Model::registerVariables()
     {
-        REGISTERSTRING(this->meshSrc_,    direction::toclient, new NetworkCallback<Model>(this, &Model::changedMesh));
-        REGISTERDATA(this->bCastShadows_, direction::toclient, new NetworkCallback<Model>(this, &Model::changedShadows));
+        registerVariable(this->meshSrc_,    variableDirection::toclient, new NetworkCallback<Model>(this, &Model::changedMesh));
+        registerVariable(this->bCastShadows_, variableDirection::toclient, new NetworkCallback<Model>(this, &Model::changedShadows));
     }
 
Index: code/branches/bugger/src/orxonox/objects/worldentities/MovableEntity.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/worldentities/MovableEntity.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/worldentities/MovableEntity.cc	(revision 2531)
@@ -85,16 +85,16 @@
     void MovableEntity::registerVariables()
     {
-        REGISTERDATA(this->velocity_.x, direction::toclient);
-        REGISTERDATA(this->velocity_.y, direction::toclient);
-        REGISTERDATA(this->velocity_.z, direction::toclient);
-
-        REGISTERDATA(this->rotationAxis_.x, direction::toclient);
-        REGISTERDATA(this->rotationAxis_.y, direction::toclient);
-        REGISTERDATA(this->rotationAxis_.z, direction::toclient);
-
-        REGISTERDATA(this->rotationRate_, direction::toclient);
-
-        REGISTERDATA(this->overwrite_position_,    direction::toclient, new NetworkCallback<MovableEntity>(this, &MovableEntity::overwritePosition));
-        REGISTERDATA(this->overwrite_orientation_, direction::toclient, new NetworkCallback<MovableEntity>(this, &MovableEntity::overwriteOrientation));
+        registerVariable(this->velocity_.x, variableDirection::toclient);
+        registerVariable(this->velocity_.y, variableDirection::toclient);
+        registerVariable(this->velocity_.z, variableDirection::toclient);
+  
+        registerVariable(this->rotationAxis_.x, variableDirection::toclient);
+        registerVariable(this->rotationAxis_.y, variableDirection::toclient);
+        registerVariable(this->rotationAxis_.z, variableDirection::toclient);
+  
+        registerVariable(this->rotationRate_, variableDirection::toclient);
+  
+        registerVariable(this->overwrite_position_,    variableDirection::toclient, new NetworkCallback<MovableEntity>(this, &MovableEntity::overwritePosition));
+        registerVariable(this->overwrite_orientation_, variableDirection::toclient, new NetworkCallback<MovableEntity>(this, &MovableEntity::overwriteOrientation));
     }
 
Index: code/branches/bugger/src/orxonox/objects/worldentities/ParticleEmitter.cc
===================================================================
--- code/branches/bugger/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2530)
+++ code/branches/bugger/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2531)
@@ -75,6 +75,6 @@
     void ParticleEmitter::registerVariables()
     {
-        REGISTERSTRING(this->source_, direction::toclient, new NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::sourceChanged));
-        REGISTERDATA  (this->LOD_,    direction::toclient, new NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::LODchanged));
+        registerVariable(this->source_, variableDirection::toclient, new NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::sourceChanged));
+        registerVariable((int&)(this->LOD_),    variableDirection::toclient, new NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::LODchanged));
     }
 
